<template>
	<div>
		<el-dialog v-model="dialogVisible" :close-on-click-modal="false" draggable width="800px" height="500px">
			<el-card :body-style="cardBodyStyle">
				<el-input v-model="query" style="width: 200px; margin-right: 10px;" placeholder="请输入姓名"></el-input>
				<el-button type="primary" @click="search">查询</el-button>
			</el-card>
			<el-card :body-style="cardBodyStyle">
				<el-table :data="tableData" border highlight-current-row>
					<el-table-column prop="id" label="编号" width="60" v-if="isShow">
					</el-table-column>
					<el-table-column prop="postCode" label="岗位编码" header-align="center" align="center" show-overflow-tooltip >
					</el-table-column>
					<el-table-column prop="postName" label="岗位名称" header-align="center" align="center" show-overflow-tooltip >
					</el-table-column>
					<el-table-column label="操作" header-align="center" align="center" show-overflow-tooltip  width="200px">
						<template #default="scope">
							<el-button plain @click="handleSelect(scope.row)">选择</el-button>
						</template>
					</el-table-column>
				</el-table>
				<el-pagination v-model:current-page="currentPage" v-model:page-size="pageSize" :page-sizes="pageSizes"
					:total="totalRows" background="background" layout="total, sizes, prev, pager, next, jumper"
					@size-change="handleSizeChange" @current-change="handleCurrentChange">
				</el-pagination>
			</el-card>

		</el-dialog>
	</div>
</template>

<script setup>
	import {
		ref,
		getCurrentInstance
	} from 'vue'

	const {
		proxy
	} = getCurrentInstance()

	import tools from '@/tools'
	const cardBodyStyle = ref(tools.style.card)

	const dialogVisible = ref(false)
	const open = () => {
		dialogVisible.value = true
	}
	const close = () => {
		dialogVisible.value = false
	}

	const emit = defineEmits(['receiveFromChild'])
	const handleSelect = (row) => {
		emit('receiveFromChild', row)
		close()
	}
 
	defineExpose({
		open,
		close
	})
	
	
	/**
	 *   查询 
	 */
	const query = ref('')
	const tableData = ref([])
	const search = () => {
		currentPage.value = 1
		getTableData()
	}
	const getTableData = () => {
		var url = 'framework/SysPost/query'
		var param = {
			page: currentPage.value,
			rows: pageSize.value,
			postName: query.value
		}
		proxy.$axios.get(url, param).then(response => {
			if (response.data.code == '0') {
				tableData.value = response.data.data.records
				totalRows.value = response.data.data.total
				// tableData.value = response.data.data.records
				// totalRows.value = response.data.data.total
			} else {
				ElMessage.error('操作失败！' + response.data.msg)
			}
		})
	}
	/**
	 *   查询 
	 */

	/**
	 * 分页 
	 */
	const currentPage = ref(1)
	const totalRows = ref(0)
	const pageSizes = ref([5, 10, 20, 30, 40])
	const pageSize = ref(10)
	const handleSizeChange = (val) => {
		pageSize.value = val
		getTableData()
	}
	const handleCurrentChange = (val) => {
		currentPage.value = val
		getTableData()
	}
	/**
	 * 分页 
	 */
</script>

<style>
</style>